Bug 640486 - Grubby does not support grub module keyword (required by Xen)
Grubby does not support grub module keyword (required by Xen)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-05 21:35 EDT by W. Michael Petullo
Modified: 2010-11-30 03:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-30 03:03:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2010-10-05 21:35:12 EDT
Description of problem:
Grubby does not grub's "module" keyword. For example,

title Fedora (2.6.32.21-167.xendom0.fc12.x86_64)
	root (hd0,0)
	kernel /xen-4.0.1.gz
	module /vmlinuz-2.6.32.21-167.xendom0.fc12.x86_64 ro root=/dev/mapper/vg_imp-lv_root_64bit LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet init=/sbin/upstart 3
	module /initramfs-2.6.32.21-167.xendom0.fc12.x86_64.img

Version-Release number of selected component (if applicable):
grubby-7.0.16-1.fc14.x86_64

How reproducible:
Every time

Steps to Reproduce:
Notice grubby does not support the "module" keyword.
  
Actual results:


Expected results:


Additional info:
While Fedora does not yet officially support Xen Dom0 in the current version, Michael Young maintains a third party kernel that does. Support for the "module" keyword would make it easier to write a kickstart configuration that integrates Michael's kernel. See also https://fedoraproject.org/wiki/Features/XenPvopsDom0.
Comment 1 W. Michael Petullo 2010-11-29 16:23:32 EST
I am presently working on a patch for grubby that allows for multiple --add-kernel arguments if --add-multiboot is used:

grubby --add-multiboot=/boot/xen.gz --mbargs="[xen arguments]" --add-kernel=/boot/vmlinuz-2.6.32.23-170.1.xendom0.fc12.x86_64 --args="[kernel arguments]" --add-kernel=/boot/initramfs-2.6.32.23-170.1.xendom0.fc12.x86_64.img --title="Xen Hypervisor"

Please see also http://lists.fedoraproject.org/pipermail/xen/2010-November/005264.html.
Comment 2 W. Michael Petullo 2010-11-30 03:03:59 EST
Actually, the following works fine:

grubby \
    --add-multiboot=/boot/xen.gz \
    --mbargs="[xen arguments]" \
    --add-kernel=/boot/vmlinuz-2.6.32.23-170.1.xendom0.fc12.x86_64 \
    --args="[kernel arguments]" \
    --initrd=/boot/initramfs-2.6.32.23-170.1.xendom0.fc12.x86_64.img \
    --title="Xen Hypervisor"'

Note You need to log in before you can comment on or make changes to this bug.